> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/categories/{categoryId}/instructions:duplicate
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/categories/{categoryId}/instructions:duplicate:
    post:
      tags:
        - Category Guidance
      summary: Duplicate
      operationId: CategoryGuidanceController_duplicate_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: categoryId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DuplicateCategoryGuidanceDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DuplicateCategoryGuidanceResponseDto'
components:
  schemas:
    DuplicateCategoryGuidanceDto:
      type: object
      properties:
        expectedSourceRevision:
          type: number
          minimum: 1
        kind:
          enum:
            - instruction
            - requirement
          type: string
        groupIds:
          uniqueItems: true
          type: array
          items:
            type: string
        instructionIds:
          uniqueItems: true
          type: array
          items:
            type: string
        targets:
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/DuplicateCategoryGuidanceTargetDto'
      required:
        - expectedSourceRevision
        - kind
        - targets
    DuplicateCategoryGuidanceResponseDto:
      type: object
      properties:
        sourceRevision:
          type: number
        targets:
          type: array
          items:
            $ref: '#/components/schemas/DuplicateCategoryGuidanceTargetResponseDto'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/DuplicateCategoryGuidanceWarningDto'
      required:
        - sourceRevision
        - targets
        - warnings
    DuplicateCategoryGuidanceTargetDto:
      type: object
      properties:
        categoryId:
          type: string
        expectedRevision:
          type: number
          minimum: 1
      required:
        - categoryId
        - expectedRevision
    DuplicateCategoryGuidanceTargetResponseDto:
      type: object
      properties:
        categoryId:
          type: string
        revision:
          type: number
        changed:
          type: boolean
      required:
        - categoryId
        - revision
        - changed
    DuplicateCategoryGuidanceWarningDto:
      type: object
      properties:
        code:
          type: string
        targetCategoryId:
          type: string
        sourceInstructionId:
          type: string
        targetInstructionId:
          type: string
      required:
        - code
        - targetCategoryId
        - sourceInstructionId
        - targetInstructionId

````